import sys
sys.path.append('build')

def equal(a, b):
    return abs(a-b) < 1e-10*(abs(a)+abs(b))

import myfuncs

if hasattr(myfuncs, 'f1'):
    if not equal(myfuncs.f1(1.0, 2.0), 6.0):
        exit(1)

if hasattr(myfuncs, 'f2'):
    if not equal(myfuncs.f2([5, 0, 0, 0], 1.0),
                 (-0.8719904408900505+2.8793172275584813j)):
        exit(1)

if hasattr(myfuncs, 'f3'):
    if not equal(myfuncs.f3([1, 0, 0, 0],
                            [0, 1, 0, 0],
                            [0, 0, 1, 0],
                            [0, 0, 0, 1]), 1.0):
        exit(1)

if hasattr(myfuncs, 'f4'):
    if not equal(myfuncs.f4(0.3), 0.0659243650139):
        exit(1)



